Subject: bug#23547: debbugs.gnu.org MTU / icmp black hole issue

From: Glenn Morris <[email-masked]>
Date: Mon, 16 May 2016 03:24:39 -0400

> After researching with tcpdump and ping it appears that this server is
> using or is behind a network which uses MTU which is smaller than normal
> but it is not advertising that correctly in TCP MSS and not informing
> the client about blackholed backets with icmp. The advertised TCP MSS
> value is too high. Packets that big end up in a black hole and the email
> delivery TCP connection stalls. There may be some icmp blackholing
> involved as well.

Thanks for the report.
Sadly, I only understand about one word in three, so I have no idea what
to do to fix this. :(
Can anyone help?